(function($){
  $(document).ready(function(){
    prettyPrint();
    $('.copy-sample-button').tooltip({title: messages.copySampleButtonTitle});
    $('.global-function-tooltip').popover({content: messages.globalFunctionTooltipContent});
    $('.module-obj-tooltip').popover({content: messages.moduleObjTooltipContent});
    $('.procedure-obj-tooltip').popover({content: messages.procedureObjTooltipContent});
    $('.info-obj-tooltip').popover({content: messages.infoObjTooltipContent});
    $('.property-access-tooltip').popover({content: messages.propertyAccessTooltipContent, placement: 'left'});

    $('.category-tooltip').each(function(){
        var id = $(this).attr('id');
        var categoryTooltip = $('#' + id);
        categoryTooltip.popover({ content: categoryTooltip.attr('content') });
      });

    $('.method-tooltip').each(function(){
        var id = $(this).attr('id');
        var contentId = '#' + id.replace('popover','method');
        var methodTooltip = $('#' + id);

        methodTooltip.attr('data-action', 'popover');
        methodTooltip.attr('data-content', $(contentId).html());
        methodTooltip.attr('title', $(methodTooltip).html());

        //non popover customize
        methodTooltip.popover({ content: $(contentId).html(), title: $(methodTooltip).html() });
      });

    $('.property-tooltip').each(function(){
        var id = $(this).attr('id');
        var contentId = '#' + id.replace('popover','property');
        var propertyTooltip = $('#' + id);

        propertyTooltip.attr('data-action', 'popover');
        propertyTooltip.attr('data-content', $(contentId).html());
        propertyTooltip.attr('title', $(propertyTooltip).html());

        //non popover customize
        propertyTooltip.popover({ content: $(contentId).html(), title: $(propertyTooltip).html() });
      });

    // popover
    var links = $('[data-action="popover"]');
    defaultWidth = links.width();

    links.popover({ trigger: 'manual'});
    links.mouseenter(function (event) {
      var link = $(this);
      link.popover('show').width('180').height('180');
      $('.popover').mouseleave(function () {
        link.popover('hide').width(defaultWidth);
      });
    });
    links.mouseleave(function (event) {
      if (event.toElement === document.body) {
        $(this).popover('hide').width(defaultWidth);
      }
    });

    resizeContainerHeight();
    $(window).resize(resizeContainerHeight);
  });
  function resizeContainerHeight(){
    if ($(window).width() < 768) {
      $('.container').height('');
      return;
    }
    var tabheight = '-='+($(".tab-wrap").outerHeight()+10);
    $('.container').height('100%').height(tabheight);
  }
})(jQuery);
